// DigitalEvt.java
// Events at digital-in
// Press/release several switches at ports I1..I8 simultaneously or sequentially

import ch.aplu.util.*;
import ch.aplu.ftcontroller.*;

public class DigitalEvt implements DigitalListener, ExitListener
{
  public DigitalEvt()
  {
    Console c = Console.init();
    c.addExitListener(this);
    FtController fc = new FtController();
    fc.addDigitalListener(this);
    System.out.println("Press/release any switch at digital-in.");
    System.out.println("(Multiple switch action supported)");

    Monitor.putSleep();
    fc.exit();
  }

  public void digitalChanged(DigitalEvent evt)
  {
    int value = evt.getValue();
    int mask = evt.getMask();
    System.out.println("\nDigital-in value: " + value +
      " (mask: " + mask + ")");

    for (int portNb = 1; portNb <= 8; portNb++)
    {
      if (evt.isPortChanged(portNb))
      {
        if (evt.isPortOn(portNb))
          System.out.println("Switch " + portNb + " On");
        else
          System.out.println("Switch " + portNb + " Off");
      }
    }
  }

  public void notifyExit()
  {
    Monitor.wakeUp();
  }

  public static void main(String[] args)
  {
    new DigitalEvt();
  }
}
