// AnalogEvent.java

/*
This software is part of the Aplu FtController package.
It is Open Source Free Software, so you may
- run the code for any purpose
- study how the code works and adapt it to your needs
- integrate all or parts of the code in your own programs
- redistribute copies of the code
- improve the code and release your improvements to the public
However the use of the code is entirely your responsibility.
 */

package ch.aplu.ftcontroller;

/**
 * A class to retrieve event information when the AnalogListener callbacks are fired.
 */
public class AnalogEvent
{
  protected int value;
  protected int port;

  protected AnalogEvent()
  {
  }

  /**
   * Returns the current value when the value changed.
   * @return the current value(integer 0..1023)
   */
  public int getValue()
  {
    return value;
  }

  /**
   * Returns the port number.
   * @return the port number (1 or 2)
   */
  public int getPort()
  {
    return port;
  }
}
