// CounterEvent.java

/*
This software is part of the Aplu FtController package.
It is Open Source Free Software, so you may
- run the code for any purpose
- study how the code works and adapt it to your needs
- integrate all or parts of the code in your own programs
- redistribute copies of the code
- improve the code and release your improvements to the public
However the use of the code is entirely your responsibility.
 */

package ch.aplu.ftcontroller;

/**
 * A class to retrieve event information when the CounterListener callbacks are fired.
 */
public class CounterEvent 
{
  protected int count;
  protected int counterNb;

  protected CounterEvent()
  {
    this(0, 0);
  }

  protected CounterEvent(int counterNb, int count)
  {
    this.counterNb = counterNb;
    this.count = count;
  }

 /**
   * Returns the current count when the count changed.
   * @return the current count
   */
  public int getCount()
  {
    return count;
  }

 /**
   * Returns the counter number.
   * @return the counter number (1 or 8)
   */
   public int getCounterNb()
  {
    return counterNb;
  }
}
