// CounterListener.java

/*
This software is part of the Aplu FtController package.
It is Open Source Free Software, so you may
- run the code for any purpose
- study how the code works and adapt it to your needs
- integrate all or parts of the code in your own programs
- redistribute copies of the code
- improve the code and release your improvements to the public
However the use of the code is entirely your responsibility.
 */

package ch.aplu.ftcontroller;

/**
 * Declarations of notification methods.
*/
public interface CounterListener 
{
  /**
   * Fired when the counter changes its count.
   * In Robomode the zero count may be missed when the motor stops
   * and the step switch is pressed (the last reported count is 1).
   * When count is 1 use getMotorsStatus() to check whether the motor is stopped.
   * @param evt a CounterEvent to retrieve information
   */
  public void countChanged(CounterEvent evt);
}
