// DigitalListener.java

/*
This software is part of the Aplu FtController package.
It is Open Source Free Software, so you may
- run the code for any purpose
- study how the code works and adapt it to your needs
- integrate all or parts of the code in your own programs
- redistribute copies of the code
- improve the code and release your improvements to the public
However the use of the code is entirely your responsibility.
 */

package ch.aplu.ftcontroller;

/**
 * Declarations of notification methods.
*/
public interface DigitalListener 
{
  /**
   * Fired when one of the digital ports change its state.
   * The initializing port state corresponds to the state when
   * addDigitalListener or the connect method is called.
   * @param evt a DigitalEvent to retrieve information
   */
  public void digitalChanged(DigitalEvent evt);
}
