// DistanceIn.java

/*
This software is part of the Aplu FtController package.
It is Open Source Free Software, so you may
- run the code for any purpose
- study how the code works and adapt it to your needs
- integrate all or parts of the code in your own programs
- redistribute copies of the code
- improve the code and release your improvements to the public
However the use of the code is entirely your responsibility.
 */

package ch.aplu.ftcontroller;

/**
 * A class the represents one of the distance sensor ports (D1, D1).
 */
public class DistanceIn
{
  private FtController fc;
  private int portNb;

  protected DistanceIn(FtController fc, int portNb)
  {
    this.fc = fc;
    this.portNb = portNb;
  }
  
  /**
   * Polls the port and returns its current value.
   * @return the current distance (0..128 cm)
   */
  public int getDistance()
  {
    synchronized(fc)
    {
      if (portNb == 1)
        return fc.nh.invoke(22);
      if (portNb == 2)
        return fc.nh.invoke(23);
      return -1;
    }
  }
}
