// InfraredIn.java

/*
This software is part of the Aplu FtController package.
It is Open Source Free Software, so you may
- run the code for any purpose
- study how the code works and adapt it to your needs
- integrate all or parts of the code in your own programs
- redistribute copies of the code
- improve the code and release your improvements to the public
However the use of the code is entirely your responsibility.
 */

package ch.aplu.ftcontroller;

/**
 * A class the represents the infrared port.
 */
public class InfraredIn
{
  private FtController fc;

  protected InfraredIn(FtController fc)
  {
    this.fc = fc;
  }

  /**
   * Polls the port and returns its current value.
   * @return the current value
   */
  public int getValue()
  {
    int rc;
    synchronized(fc)
    {
      rc = fc.nh.invoke(15);
    }
    return rc;
  }  
}
